<?php

namespace Jlr\Tags\Api\Model;

class Pagination
{
    /**
     * 
     *
     * @var int
     */
    protected $currentPage;
    /**
     * 
     *
     * @var int
     */
    protected $from;
    /**
     * 
     *
     * @var int
     */
    protected $lastPage;
    /**
     * 
     *
     * @var string
     */
    protected $path;
    /**
     * 
     *
     * @var int
     */
    protected $perPage;
    /**
     * 
     *
     * @var int
     */
    protected $to;
    /**
     * 
     *
     * @var int
     */
    protected $total;
    /**
     * 
     *
     * @return int
     */
    public function getCurrentPage() : ?int
    {
        return $this->currentPage;
    }
    /**
     * 
     *
     * @param int $currentPage
     *
     * @return self
     */
    public function setCurrentPage(?int $currentPage) : self
    {
        $this->currentPage = $currentPage;
        return $this;
    }
    /**
     * 
     *
     * @return int
     */
    public function getFrom() : ?int
    {
        return $this->from;
    }
    /**
     * 
     *
     * @param int $from
     *
     * @return self
     */
    public function setFrom(?int $from) : self
    {
        $this->from = $from;
        return $this;
    }
    /**
     * 
     *
     * @return int
     */
    public function getLastPage() : ?int
    {
        return $this->lastPage;
    }
    /**
     * 
     *
     * @param int $lastPage
     *
     * @return self
     */
    public function setLastPage(?int $lastPage) : self
    {
        $this->lastPage = $lastPage;
        return $this;
    }
    /**
     * 
     *
     * @return string
     */
    public function getPath() : ?string
    {
        return $this->path;
    }
    /**
     * 
     *
     * @param string $path
     *
     * @return self
     */
    public function setPath(?string $path) : self
    {
        $this->path = $path;
        return $this;
    }
    /**
     * 
     *
     * @return int
     */
    public function getPerPage() : ?int
    {
        return $this->perPage;
    }
    /**
     * 
     *
     * @param int $perPage
     *
     * @return self
     */
    public function setPerPage(?int $perPage) : self
    {
        $this->perPage = $perPage;
        return $this;
    }
    /**
     * 
     *
     * @return int
     */
    public function getTo() : ?int
    {
        return $this->to;
    }
    /**
     * 
     *
     * @param int $to
     *
     * @return self
     */
    public function setTo(?int $to) : self
    {
        $this->to = $to;
        return $this;
    }
    /**
     * 
     *
     * @return int
     */
    public function getTotal() : ?int
    {
        return $this->total;
    }
    /**
     * 
     *
     * @param int $total
     *
     * @return self
     */
    public function setTotal(?int $total) : self
    {
        $this->total = $total;
        return $this;
    }
}