<?php

namespace Jlr\Tags\Api\Model;

class Report
{
    /**
     * 
     *
     * @var string
     */
    protected $id;
    /**
     * 
     *
     * @var string
     */
    protected $title;
    /**
     * 
     *
     * @var string
     */
    protected $subtitle;
    /**
     * 
     *
     * @var string
     */
    protected $author;
    /**
     * 
     *
     * @var string
     */
    protected $description;
    /**
     * 
     *
     * @var string
     */
    protected $publishedAt;
    /**
     * 
     *
     * @var string
     */
    protected $image;
    /**
     * 
     *
     * @var bool
     */
    protected $favourited;
    /**
     * 
     *
     * @var string
     */
    protected $archiveLink;
    /**
     * 
     *
     * @var string
     */
    protected $downloadLink;
    /**
     * 
     *
     * @var string
     */
    protected $shareLink;
    /**
     * 
     *
     * @var Tag[]
     */
    protected $tags;
    /**
     * 
     *
     * @return string
     */
    public function getId() : ?string
    {
        return $this->id;
    }
    /**
     * 
     *
     * @param string $id
     *
     * @return self
     */
    public function setId(?string $id) : self
    {
        $this->id = $id;
        return $this;
    }
    /**
     * 
     *
     * @return string
     */
    public function getTitle() : ?string
    {
        return $this->title;
    }
    /**
     * 
     *
     * @param string $title
     *
     * @return self
     */
    public function setTitle(?string $title) : self
    {
        $this->title = $title;
        return $this;
    }
    /**
     * 
     *
     * @return string
     */
    public function getSubtitle() : ?string
    {
        return $this->subtitle;
    }
    /**
     * 
     *
     * @param string $subtitle
     *
     * @return self
     */
    public function setSubtitle(?string $subtitle) : self
    {
        $this->subtitle = $subtitle;
        return $this;
    }
    /**
     * 
     *
     * @return string
     */
    public function getAuthor() : ?string
    {
        return $this->author;
    }
    /**
     * 
     *
     * @param string $author
     *
     * @return self
     */
    public function setAuthor(?string $author) : self
    {
        $this->author = $author;
        return $this;
    }
    /**
     * 
     *
     * @return string
     */
    public function getDescription() : ?string
    {
        return $this->description;
    }
    /**
     * 
     *
     * @param string $description
     *
     * @return self
     */
    public function setDescription(?string $description) : self
    {
        $this->description = $description;
        return $this;
    }
    /**
     * 
     *
     * @return string
     */
    public function getPublishedAt() : ?string
    {
        return $this->publishedAt;
    }
    /**
     * 
     *
     * @param string $publishedAt
     *
     * @return self
     */
    public function setPublishedAt(?string $publishedAt) : self
    {
        $this->publishedAt = $publishedAt;
        return $this;
    }
    /**
     * 
     *
     * @return string
     */
    public function getImage() : ?string
    {
        return $this->image;
    }
    /**
     * 
     *
     * @param string $image
     *
     * @return self
     */
    public function setImage(?string $image) : self
    {
        $this->image = $image;
        return $this;
    }
    /**
     * 
     *
     * @return bool
     */
    public function getFavourited() : ?bool
    {
        return $this->favourited;
    }
    /**
     * 
     *
     * @param bool $favourited
     *
     * @return self
     */
    public function setFavourited(?bool $favourited) : self
    {
        $this->favourited = $favourited;
        return $this;
    }
    /**
     * 
     *
     * @return string
     */
    public function getArchiveLink() : ?string
    {
        return $this->archiveLink;
    }
    /**
     * 
     *
     * @param string $archiveLink
     *
     * @return self
     */
    public function setArchiveLink(?string $archiveLink) : self
    {
        $this->archiveLink = $archiveLink;
        return $this;
    }
    /**
     * 
     *
     * @return string
     */
    public function getDownloadLink() : ?string
    {
        return $this->downloadLink;
    }
    /**
     * 
     *
     * @param string $downloadLink
     *
     * @return self
     */
    public function setDownloadLink(?string $downloadLink) : self
    {
        $this->downloadLink = $downloadLink;
        return $this;
    }
    /**
     * 
     *
     * @return string
     */
    public function getShareLink() : ?string
    {
        return $this->shareLink;
    }
    /**
     * 
     *
     * @param string $shareLink
     *
     * @return self
     */
    public function setShareLink(?string $shareLink) : self
    {
        $this->shareLink = $shareLink;
        return $this;
    }
    /**
     * 
     *
     * @return Tag[]
     */
    public function getTags() : ?array
    {
        return $this->tags;
    }
    /**
     * 
     *
     * @param Tag[] $tags
     *
     * @return self
     */
    public function setTags(?array $tags) : self
    {
        $this->tags = $tags;
        return $this;
    }
}