<?php

namespace Jlr\Tags\Api\Model;

class TagGroup
{
    /**
     * 
     *
     * @var int
     */
    protected $id;
    /**
     * 
     *
     * @var string
     */
    protected $name;
    /**
     * 
     *
     * @var string
     */
    protected $description;
    /**
     * This is what ever custom content has been saved by the applications. In most situations this should be an object but theoretically it could be anything.
     *
     * @var mixed
     */
    protected $meta;
    /**
     * 
     *
     * @var Tag[]
     */
    protected $tags;
    /**
     * 
     *
     * @return int
     */
    public function getId() : ?int
    {
        return $this->id;
    }
    /**
     * 
     *
     * @param int $id
     *
     * @return self
     */
    public function setId(?int $id) : self
    {
        $this->id = $id;
        return $this;
    }
    /**
     * 
     *
     * @return string
     */
    public function getName() : ?string
    {
        return $this->name;
    }
    /**
     * 
     *
     * @param string $name
     *
     * @return self
     */
    public function setName(?string $name) : self
    {
        $this->name = $name;
        return $this;
    }
    /**
     * 
     *
     * @return string
     */
    public function getDescription() : ?string
    {
        return $this->description;
    }
    /**
     * 
     *
     * @param string $description
     *
     * @return self
     */
    public function setDescription(?string $description) : self
    {
        $this->description = $description;
        return $this;
    }
    /**
     * This is what ever custom content has been saved by the applications. In most situations this should be an object but theoretically it could be anything.
     *
     * @return mixed
     */
    public function getMeta()
    {
        return $this->meta;
    }
    /**
     * This is what ever custom content has been saved by the applications. In most situations this should be an object but theoretically it could be anything.
     *
     * @param mixed $meta
     *
     * @return self
     */
    public function setMeta($meta) : self
    {
        $this->meta = $meta;
        return $this;
    }
    /**
     * 
     *
     * @return Tag[]
     */
    public function getTags() : ?array
    {
        return $this->tags;
    }
    /**
     * 
     *
     * @param Tag[] $tags
     *
     * @return self
     */
    public function setTags(?array $tags) : self
    {
        $this->tags = $tags;
        return $this;
    }
}