<?php

namespace Jlr\Tags\Api\Normalizer;

class NormalizerFactory
{
    public static function create()
    {
        $normalizers = array();
        $normalizers[] = new \Symfony\Component\Serializer\Normalizer\ArrayDenormalizer();
        $normalizers[] = new TagGroupNormalizer();
        $normalizers[] = new TagNormalizer();
        $normalizers[] = new TagGroupNormalizer();
        $normalizers[] = new OnboardingNormalizer();
        $normalizers[] = new ReportNormalizer();
        $normalizers[] = new ErrorNormalizer();
        $normalizers[] = new ValidationErrorNormalizer();
        $normalizers[] = new PaginationNormalizer();
        $normalizers[] = new TagsGetResponse200Normalizer();
        $normalizers[] = new TagsPostResponse200Normalizer();
        $normalizers[] = new TagsSlugPatchResponse200Normalizer();
        $normalizers[] = new TagGroupsGetResponse200Normalizer();
        $normalizers[] = new TagGroupsIdPatchResponse200Normalizer();
        $normalizers[] = new ReportsGetResponse200Normalizer();
        return $normalizers;
    }
}