<?php

namespace Jlr\Tags\Api\Normalizer;

use Jane\JsonSchemaRuntime\Reference;
use Symfony\Component\Serializer\Exception\InvalidArgumentException;
use Symfony\Component\Serializer\Normalizer\DenormalizerAwareInterface;
use Symfony\Component\Serializer\Normalizer\DenormalizerAwareTrait;
use Symfony\Component\Serializer\Normalizer\DenormalizerInterface;
use Symfony\Component\Serializer\Normalizer\NormalizerAwareInterface;
use Symfony\Component\Serializer\Normalizer\NormalizerAwareTrait;
use Symfony\Component\Serializer\Normalizer\NormalizerInterface;
class ReportsGetResponse200Normalizer implements DenormalizerInterface, NormalizerInterface, DenormalizerAwareInterface, NormalizerAwareInterface
{
    use DenormalizerAwareTrait;
    use NormalizerAwareTrait;
    public function supportsDenormalization($data, $type, $format = null)
    {
        return $type === 'Jlr\\Tags\\Api\\Model\\ReportsGetResponse200';
    }
    public function supportsNormalization($data, $format = null)
    {
        return $data instanceof \Jlr\Tags\Api\Model\ReportsGetResponse200;
    }
    public function denormalize($data, $class, $format = null, array $context = array())
    {
        if (!is_object($data)) {
            throw new InvalidArgumentException();
        }
        $object = new \Jlr\Tags\Api\Model\ReportsGetResponse200();
        if (property_exists($data, 'data')) {
            $values = array();
            foreach ($data->{'data'} as $value) {
                $values[] = $this->denormalizer->denormalize($value, 'Jlr\\Tags\\Api\\Model\\Report', 'json', $context);
            }
            $object->setData($values);
        }
        if (property_exists($data, 'meta')) {
            $object->setMeta($this->denormalizer->denormalize($data->{'meta'}, 'Jlr\\Tags\\Api\\Model\\Pagination', 'json', $context));
        }
        return $object;
    }
    public function normalize($object, $format = null, array $context = array())
    {
        $data = new \stdClass();
        if (null !== $object->getData()) {
            $values = array();
            foreach ($object->getData() as $value) {
                $values[] = $this->normalizer->normalize($value, 'json', $context);
            }
            $data->{'data'} = $values;
        }
        if (null !== $object->getMeta()) {
            $data->{'meta'} = $this->normalizer->normalize($object->getMeta(), 'json', $context);
        }
        return $data;
    }
}