<?php

namespace Jlr\Tags\Api\Normalizer;

use Jane\JsonSchemaRuntime\Reference;
use Symfony\Component\Serializer\Exception\InvalidArgumentException;
use Symfony\Component\Serializer\Normalizer\DenormalizerAwareInterface;
use Symfony\Component\Serializer\Normalizer\DenormalizerAwareTrait;
use Symfony\Component\Serializer\Normalizer\DenormalizerInterface;
use Symfony\Component\Serializer\Normalizer\NormalizerAwareInterface;
use Symfony\Component\Serializer\Normalizer\NormalizerAwareTrait;
use Symfony\Component\Serializer\Normalizer\NormalizerInterface;
class TagGroupsIdPatchResponse200Normalizer implements DenormalizerInterface, NormalizerInterface, DenormalizerAwareInterface, NormalizerAwareInterface
{
    use DenormalizerAwareTrait;
    use NormalizerAwareTrait;
    public function supportsDenormalization($data, $type, $format = null)
    {
        return $type === 'Jlr\\Tags\\Api\\Model\\TagGroupsIdPatchResponse200';
    }
    public function supportsNormalization($data, $format = null)
    {
        return $data instanceof \Jlr\Tags\Api\Model\TagGroupsIdPatchResponse200;
    }
    public function denormalize($data, $class, $format = null, array $context = array())
    {
        if (!is_object($data)) {
            throw new InvalidArgumentException();
        }
        $object = new \Jlr\Tags\Api\Model\TagGroupsIdPatchResponse200();
        if (property_exists($data, 'data')) {
            $object->setData($this->denormalizer->denormalize($data->{'data'}, 'Jlr\\Tags\\Api\\Model\\TagGroup', 'json', $context));
        }
        return $object;
    }
    public function normalize($object, $format = null, array $context = array())
    {
        $data = new \stdClass();
        if (null !== $object->getData()) {
            $data->{'data'} = $this->normalizer->normalize($object->getData(), 'json', $context);
        }
        return $data;
    }
}